
From: Maneesh Soni <maneesh@in.ibm.com>

The sysfs_rename_dir() interface was changed recently but I forgot to
change the definition if CONFIG_SYSFS is not defined.


---

 25-akpm/include/linux/sysfs.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/sysfs.h~nosysfs-sysfs_rename_dir-fix include/linux/sysfs.h
--- 25/include/linux/sysfs.h~nosysfs-sysfs_rename_dir-fix	2004-05-21 18:48:32.417798104 -0700
+++ 25-akpm/include/linux/sysfs.h	2004-05-21 18:48:32.420797648 -0700
@@ -80,9 +80,9 @@ static inline void sysfs_remove_dir(stru
 	;
 }
 
-static inline void sysfs_rename_dir(struct kobject * k, const char *new_name)
+static inline int sysfs_rename_dir(struct kobject * k, const char *new_name)
 {
-	;
+	return 0;
 }
 
 static inline int sysfs_create_file(struct kobject * k, const struct attribute * a)

_
